%define version 1.1.0
%define release %mkrel 11

Summary:	Interactive geometry software
Name:		drgeo
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Mathematics
URL:		http://www.ofset.org/drgeo/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		http://prdownloads.sourceforge.net/ofset/%{name}-%{version}.tar.bz2
Source1:	gnome-drgenius.png
Patch0:		drgeo-fix-menu-entry.patch

BuildRequires:	imagemagick
BuildRequires:	guile-devel
BuildRequires:	libxml2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:  perl(XML::Parser)
BuildRequires:	desktop-file-utils

%description
Dr. Genius is the GNOME interactive geometry software. It allows one to
create geometric figure plus the interactive manipulation of such figure
in respect with their geometric constraints. It is usable in teaching
situation with students from primary or secondary level.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Sciences-Mathematics" \
  --add-category="Science" \
  --add-category="Math" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
mkdir -p %{buildroot}%{_iconsdir} \
	 %{buildroot}%{_miconsdir}
install -m 0644 -D      %{SOURCE1} %{buildroot}%{_liconsdir}/gnome-drgenius.png
convert -geometry 32x32 %{SOURCE1} %{buildroot}%{_iconsdir}/gnome-drgenius.png
convert -geometry 16x16 %{SOURCE1} %{buildroot}%{_miconsdir}/gnome-drgenius.png

# TeXmacs was supposed to locate in another directory for MDK
pushd %{buildroot}%{_datadir}
mv texmacs/TeXmacs ./
rmdir texmacs
popd

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/TeXmacs/plugins/drgeo
%{_iconsdir}/gnome-drgenius.png
%{_miconsdir}/gnome-drgenius.png
%{_liconsdir}/gnome-drgenius.png




%changelog
* Thu Dec 11 2008 Oden Eriksson <oeriksson@mandriva.org> 1.1.0-11mdv2009.0
+ Revision: 313035
- lowercase ImageMagick

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.0-9mdv2008.1
+ Revision: 170801
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- patch 0: 'fix error: value "gnome-drgenius.png" for key "Icon" in group
  "Desktop Entry" is an icon name with an extension, but there should be no
  extension as described in the Icon Theme Specification if the value is not an
  absolute path'
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Mon Feb 19 2007 Emmanuel Andry <eandry@mandriva.org> 1.1.0-8mdv2007.0
+ Revision: 122621
- rebuild
- buildrequires desktop-file-utils
- rebuild
- Import drgeo

* Wed Sep 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.0-6mdv2007.0
- XDG

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.0-5mdk
- Fix BuildRequires

* Sun Nov 20 2005 Abel Cheung <deaddog@mandriva.org> 1.1.0-4mdk
- Curse iso-8859-1, curse iso-8859-1, curse iso-8859-1!

* Sun Nov 20 2005 Abel Cheung <deaddog@mandriva.org> 1.1.0-3mdk
- ... again.

* Sun Nov 20 2005 Abel Cheung <deaddog@mandriva.org> 1.1.0-2mdk
- Rebuild to get back source rpm

* Fri Jul 29 2005 Abel Cheung <deaddog@mandriva.org> 1.1.0-1mdk
- New release

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.0-1mdk
- New release 1.0.0
- make rpmbuildupdate friendly
- mkrel

* Tue Jun 07 2005 Abel Cheung <deaddog@mandriva.org> 1.0.0-1mdk
- New release

* Wed Sep 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.14-1mdk
- 0.9.14

* Thu Jun 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.13-1mdk
- 0.9.13

